A query designated for highlighting (hl.q)

- « SolrQuery::setHighlightMergeContiguous

- SolrQuery::setHighlightRegexMaxAnalyzedChars »

- PHP Manual
- SolrQuery
- A query designated for highlighting (hl.q)

# SolrQuery::setHighlightQuery

(PECL solr >= 2.7.0)

SolrQuery::setHighlightQuery — A query designated for highlighting (hl.q)

### Description

public SolrQuery::setHighlightQuery(string `$q`): SolrQuery

A query to use for highlighting. This parameter allows one to highlight different terms or fields than those being used to retrieve documents.

Default value when not set: the value of the request's q parameter

Solr Parameter reference: hl.q

### Parameters

`q`

  Highlight Query

### Return Values

Returns the current SolrQuery object, if the return value is used.